package com.kalyshev.yan.computer.controller;

import com.kalyshev.yan.computer.model.Computer;

public class ComputerDto {
    private Long id;
    private String modelName;
    private String serialNum;
    private Long monitorId;
    private Long cabinetId;
    public ComputerDto() {}
    public ComputerDto(Computer computer) {
        this.id = computer.getId();
        this.modelName = computer.getModelName();
        this.serialNum = computer.getSerialNum();
        if (computer.getMonitor() == null) {
            this.monitorId = null;
        } else {
            this.monitorId = computer.getMonitor().getId();
        }
        if (computer.getCabinet() == null) {
            this.cabinetId = null;
        } else {
            this.cabinetId = computer.getCabinet().getId();
        }
    }
    public Long getId() { return this.id; }
    public String getModelName() { return this.modelName; }
    public void setModelName(String modelName) { this.modelName = modelName; }
    public String getSerialNum() { return this.serialNum; }
    public void setSerialNum(String serialNum) { this.serialNum = serialNum; }
    public Long getMonitorId() { return this.monitorId; }
    public void setMonitorId(Long monitorId) { this.monitorId = monitorId; }
    public Long getCabinetId() { return this.cabinetId; }
    public void setCabinetId(Long cabinetId) { this.cabinetId = cabinetId; }
}
