export default class Cabinet {
    constructor(data) {
        this._id = data?.id;
        this._number = data?.number;
        this._computerIds = data?.computerIds;
    }

    get id() {
        return this._id;
    }

    get number() {
        return this._number;
    }

    set number(value) {
        if (typeof value !== 'string' || value === null || value.length == 0) {
            throw 'New number value ' + value + ' is not a string or empty';
        }
        this._number = value;
    }

    get computerIds() {
        return this._computerIds;
    }
}