package com.kalyshev.yan.cabinet.repository;

import com.kalyshev.yan.cabinet.model.Cabinet;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

public interface CabinetRepository extends JpaRepository<Cabinet, Long> {
    @Query(value = "select s from Cabinet s where (s.id = :id or :id is Null) and (s.number = :number or :number is Null)")
    public List<Cabinet> findFilteredCabinets(@Param("id") Long id,
                                              @Param("number") String number);
}